package com.MultiBRIS.server.servlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.MultiBRIS.server.core.ComputeRoute;
import com.MultiBRIS.server.core.GPS.GPS;
import com.MultiBRIS.server.core.json.JsonFactory;
import com.MultiBRIS.server.core.log.MBLogger;

public class Coord extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3677903404700262651L;

	/** 
	 * Handles the HTTP <code>GET</code> method.
	 * @param request servlet request
	 * @param response servlet response
	 * @throws ServletException if a servlet-specific error occurs
	 * @throws IOException if an I/O error occurs
	 */
	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {


		response.addHeader("Access-Control-Allow-Origin", "*");


		String bussStopID = request.getParameter("bID");

		String gpsLocFilePath = getServletContext().getRealPath("/WEB-INF/gps3.xml");
		//	        ComputeRoute cr = new ComputeRoute();
		String[] gpsCoords = ComputeRoute.readLines(gpsLocFilePath);
		String[][] k_gps = GPS.formatCoordinates(gpsCoords);
		StringBuffer ret = null;
		for (int i = 0; i < k_gps.length; i++) {
			if(k_gps[i][0].equals(bussStopID))
				ret =  new StringBuffer(JsonFactory.buildJsonCoords(k_gps[i]));
		}
		
		response.setContentType("application/json");

		 PrintWriter out = response.getWriter();
         out.println(ret);
		

	}

}

