package regtopToBusTUC.LogReader;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;

import org.apache.commons.digester3.Digester;
import org.apache.commons.digester3.ObjectCreateRule;
import org.apache.commons.digester3.binder.DigesterLoader;
import org.apache.commons.digester3.xmlrules.FromXmlRulesModule;
import org.apache.log4j.PropertyConfigurator;

public class LogParser {
	
	public LogParser() {
	}
	public LogParser(String message) {
		super();
		this.message = message;
	}

	private String message;
	private static ArrayList<LogParser> p;
	
	
	public String getMessage() {
		return message;
	}


	public void setMessage(String message) {
		this.message = message;
	}


	public static ArrayList<LogParser> getP() {
		return p;
	}


	public static void setP(ArrayList<LogParser> p) {
		LogParser.p = p;
	}


	public static ArrayList<String> readLog(){
		
//		ObjectCreateRule createRule = new ObjectCreateRule( LogParser.class );
//		createRule.setConstructorArgumentTypes( boolean.class, double.class );
//
//		Digester digester = new Digester();
//		digester.addRule( "log/record", createRule );
//		digester.addCallParam( "root/bean", 1, "super" );
//		digester.addCallParam( "root/bean/rate", 0 );
		
//		 Digester digester = new Digester();
//         digester.setValidating( false );
//
//         digester.addObjectCreate( "log", Collection.class );
//
//         digester.addObjectCreate( "log/record", LogParser.class );
//         digester.addBeanPropertySetter("log/record/message", "message" );

		
		try {
			
			//Create Digester using rules defined in rules/ItemRule.xml
			DigesterLoader loader = DigesterLoader.newLoader( new FromXmlRulesModule()
			{
				@Override
				protected void loadRules() {
					loadXMLRules(new File("rule/LogRule.xml"));
				}
			});
				File file = new File("rule/oracle.xml");
				Collection logs  = loader.newDigester().parse(file);
				return logs.getQuestions();
		} catch(Exception e) {
			e.printStackTrace();
		}
		return null;
	}
	
	
	public void addLogMessage(String message){
		this.message = message;
		
	}
	
	public static void main(String[] args) throws IOException {
		PropertyConfigurator.configure("log4j.properties");
		ArrayList<String> messages = readLog();
		BufferedWriter outFile = new BufferedWriter( new FileWriter("logs/oracle.xml") );
		for (String string : messages) {
			if(string.toLowerCase().contains("query")){
				String temp = string.substring(string.toLowerCase().lastIndexOf(":")+1);
				outFile.write(temp+System.lineSeparator());
				
			}
		}
		outFile.close();
		
	}
}
